package cn.com.countrygarden.bi.main.service.manager.map;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.HouseKeeperParamVo;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.manager.map.ManagerHousekeeperFollow;

/**
 * 管家用户关注-业务逻辑层
 *
 * @author ÀîÉ­ÁÖ
 * @email www.justintoforest@gamail.com
 * @url www.yuhi.com.cn
 * @date 2018-06-29
 */
public interface ManagerHousekeeperFollowService {

    Result queryPageList(HouseKeeperParamVo houseKeeperParamVo, int page, int size, AccessToken accessToken);

    Result queryById(Integer id);

    Result add(ManagerHousekeeperFollow managerHousekeeperFollow, AccessToken accessToken);

    Result edit(ManagerHousekeeperFollow managerHousekeeperFollow, AccessToken accessToken);

    Result del(Integer id);

    Result addFollow(Integer bid, String hjid, String organName, String post, AccessToken accessToken);

    Result deleteFollow(Integer bid,Integer hjid,  AccessToken accessToken);
    
    Result getHouseKeeperFollowNameTree(AccessToken accessToken);
    
    Result getGardenDistrictTree(AccessToken accessToken);
    
}